Перейти к содержимому

Do Search

POST
/search
curl --request POST \
--url https://example.com/search \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data floors_min=example \
--data floors_max=example \
--data entrances_min=example \
--data entrances_max=example \
--data apartments_min=example \
--data apartments_max=example \
--data area_min=example \
--data area_max=example \
--data series=example \
--data address=example \
--data sort_by=Dirty_Address \
--data sort_desc=false \
--data page=1
Media typeapplication/x-www-form-urlencoded
Body_do_search_search_post
object
region
Region
Array<string>
default:
material_walls
Material Walls
Array<string>
default:
roof_type
Roof Type
Array<string>
default:
floors_min
Any of:
string
floors_max
Any of:
string
entrances_min
Any of:
string
entrances_max
Any of:
string
apartments_min
Any of:
string
apartments_max
Any of:
string
area_min
Any of:
string
area_max
Any of:
string
series
Any of:
string
address
Any of:
string
sort_by
Any of:
string
sort_desc
Any of:
string
page
Any of:
string

Successful Response

Media typetext/html
string

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}